<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.mail.*" %>
<%@ include file="/sessionInfo.jsp"%>
<% 
  String strLevel = "../../"; 
%> 
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String sType = SzConvert.toZeroStr(request.getParameter("type"));
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(request.getParameter("PKEY"));
%>
<%
    String sKEY =  SzConvert.toZeroStr(request.getParameter("KEY"));
		//读取日志内容
		SzLogControl logControl = new SzLogControl();
		SzLogControlInfo logInfo = null;
		String sCond = "";
		//ArrayList list = logControl.getMailReceiveInfo(iDLID_SESSION, SzConvert.toInt(sKEY));
		ArrayList list = logControl.getMailReceiveList(iDLID_SESSION, SzConvert.toInt(sKEY));
		int iSize = list.size();
%>

<body>
<!-----上面的工具栏------>
<form name="formUpdate" method="post">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="KEY" value="<%=sKEY%>">
  <input type="hidden" name="type" value="<%=sType%>">
<%@ include file="title.jsp"%>
<table width="100%">
  <tr>
    <td>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>

<!-----信息维护------>
<table width="750" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">
  <%
  String sContent = "";
 	for (int i = 0; i<iSize; i++) {
 		logInfo = (SzLogControlInfo)list.get(i);
 		if (logInfo == null) {
 			continue;
 		}
 		sContent = SzConvert.toPageString(logInfo.getRZNR());
 		//sContent = sContent.replaceAll("<br>","\n");
 		out.println("<tr><td>");
 		out.println(i + 1);
 		out.println("、操作时间：");
 		out.println(logInfo.getRZCZSJ());
 		out.println("<br>"); 		
 		out.println(sContent);
 		out.println("</td></tr>");
 	}
  %>
</table>


</form>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="type" value="<%=sType%>">
</form>
<script language="javascript" src="../../share/js/commonTool.js"></script>
</body>
